<lib-condensed-header-layout
  *transloco="let t"
  [pageTitle]="t('feature_funfair.module_page.title')"
  [useMaximumBackground]="true"
  class="ion-page"
>
  <div class="flex-list-medium">
    <p class="sub-title">{{ t('feature_funfair.module_page.sub_title') }}</p>
    <lib-shared-navigation-list
      [menuItemGroups]="menuItemGroups"
    ></lib-shared-navigation-list>
    <div class="flex-list-feed-items">
      <p class="cards-title">
        {{ t('feature_funfair.module_page.map_cards_title') }}
      </p>
      <lib-funfair-map-card></lib-funfair-map-card>
      <div *ngIf="hasFavorites" class="feature-card-wrapper">
        <lib-funfair-feature-card
          (clickButton)="selectFavorites()"
          [content]="favoritesContent"
          [hasBoxShadow]="false"
          [icon]="'favorite'"
          [subtitle]="
            t('feature_funfair.feature_card.favorites_subtitle', {
              count: favoritesSubtitle,
            })
          "
          [title]="t('feature_funfair.feature_card.saved_locations')"
        ></lib-funfair-feature-card>
      </div>
    </div>
    <div class="flex-list-feed-items">
      <p class="cards-title">{{ t('feature_funfair.wms.title') }}</p>
      <div class="wms-card">
        <img alt="" src="/assets/feature-funfair/images/wms_logo.png" />
        <p
          [innerHTML]="t('feature_funfair.wms.header')"
          class="wms-content"
        ></p>
        <p
          [innerHTML]="t('feature_funfair.wms.content')"
          class="wms-content"
        ></p>
        <lib-custom-vertical-button
          [buttonType]="customButtonType.link"
          [colorScheme]="customButtonColorScheme.inherit"
          [externalUrl]="
            'https://www.allerheiligenkirmes.de/de/veranstaltungen/herbst/allerheiligenkirmes.php'
          "
          [startIcon]="'open_in_new'"
          [title]="'allerheiligenkirmes.de'"
        ></lib-custom-vertical-button>
      </div>
    </div>
  </div>
</lib-condensed-header-layout>
